Skip to main content
GET
/
expense-reports
List expense reports
curl --request GET \
  --url https://www.ruddr.io/api/workspace/expense-reports \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "c3e7a1f4-82b5-4d9e-b063-2f8a1c5e9d47",
      "number": 14,
      "title": "January 2025 Expenses",
      "notes": "Monthly expense report.",
      "date": "2025-01-15",
      "createdAt": "2025-01-15T20:47:03.284Z",
      "member": {
        "id": "a9b2d6e8-3c14-4f7a-9051-6e8b2d4f1c93",
        "name": "Jane Smith"
      }
    }
  ],
  "hasMore": false
}
A container for expense items. This helps group expenses for a specific purpose.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
string

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.